## phonon 4.12.0+p24.04+vunstable+git20251015.0851

=== debian/changelog ===
phonon (4:4.12.0+p24.04+vunstable+git20251015.0851-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:51:42 +0000
