=== debian/control ===
Source: phonon
Section: sound
Priority: optional
Uploaders: Modestas Vainius <modax@debian.org>,
           Diane Trout <diane@ghic.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               libglib2.0-dev,
               libpulse-dev,
               libqt5opengl5-dev,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-tools-dev,
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.6.2
Homepage: https://phonon.kde.org/
Vcs-Git: https://invent.kde.org/neon/extras/phonon.git
Vcs-Browser: https://invent.kde.org/neon/extras/phonon
Maintainer: Neon CI <neon@kde.org>

Package: qt6-phonon
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: phonon4qt6experimental-abi-1
Replaces: libphonon4qt6-4,
          libphonon4qt6-4t64,
          libphonon4qt6-data,
          libphonon4qt6experimental4,
          libphonon4qt6experimental4t64,
          phonon4qt6,
          phonon4qt6-backend-gstreamer,
          phonon4qt6-backend-null,
          phonon4qt6settings
Breaks: libphonon-l10n (<< 4.12), libphonon4qt5-data (<< 4.12)
Description: multimedia framework from KDE using Qt6 - core libraries
 Phonon6 is a Qt6 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the core library of the Phonon6 cross-platform multimedia
 framework from KDE. It is required to run applications that use Phonon6.

Package: qt6-phonon-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-5compat-dev,
         qt6-base-dev,
         qt6-phonon (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libphonon4qt6-dev, libphonon4qt6experimental-dev
Description: multimedia framework from KDE using Qt6 - development files
 Phonon6 is a Qt6 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Qt6 applications
 using the Phonon6 cross-platform multimedia framework.

Package: qt5-phonon
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: phonon4qt5experimental-abi-1
Replaces: libphonon4qt5-4,
          libphonon4qt5-4t64,
          libphonon4qt5-data,
          libphonon4qt5experimental4,
          phonon-backend-gstreamer-common,
          phonon4qt5,
          phonon4qt5-backend-gstreamer,
          phonon4qt5-backend-null,
          phonon4qt5settings
Breaks: libphonon-l10n (<< 4.12), libphonon4qt5-data (<< 4.12)
Description: multimedia framework from KDE using Qt5 - core libraries
 Phonon5 is a Qt5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the core libraries of the Phonon5 cross-platform 
 multimedia framework from KDE. It is required to run applications that 
 use Phonon5.

Package: qt5-phonon-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: libqt5opengl5-dev,
         qt5-phonon (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libphonon4qt5-dev, libphonon4qt5experimental-dev
Description: multimedia framework from KDE using Qt5 - development files
 Phonon5 is a Qt5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Qt5 applications
 using the Phonon5 cross-platform multimedia framework.

Package: libphonon4qt6-4t64
Architecture: all
Depends: qt6-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libphonon4qt6-4
Architecture: all
Depends: qt6-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libphonon4qt6-data
Architecture: all
Depends: qt6-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libphonon4qt6experimental4
Architecture: all
Depends: qt6-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libphonon4qt6experimental4t64
Architecture: all
Depends: qt6-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: phonon4qt6
Architecture: all
Depends: qt6-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: phonon4qt6-backend-gstreamer
Architecture: all
Depends: qt6-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: phonon4qt6-backend-null
Architecture: all
Depends: qt6-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: phonon4qt6settings
Architecture: all
Depends: qt6-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libphonon-l10n
Architecture: all
Depends: qt6-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libphonon4qt6-dev
Architecture: all
Depends: qt6-phonon-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libphonon4qt6experimental-dev
Architecture: all
Depends: qt6-phonon-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libphonon4qt5-4t64
Architecture: all
Depends: qt6-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libphonon4qt5-4
Architecture: all
Depends: qt5-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libphonon4qt5-data
Architecture: all
Depends: qt5-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libphonon4qt5-dev
Architecture: all
Depends: qt5-phonon-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libphonon4qt5experimental-dev
Architecture: all
Depends: qt5-phonon-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libphonon4qt5experimental4
Architecture: all
Depends: qt5-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libphonon4qt5experimental4t64
Architecture: all
Depends: qt5-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: phonon4qt5
Architecture: all
Depends: qt5-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: phonon4qt5-backend-gstreamer
Architecture: all
Depends: qt5-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: phonon4qt5-backend-null
Architecture: all
Depends: qt5-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: phonon4qt5settings
Architecture: all
Depends: qt5-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: phonon-backend-gstreamer-common
Architecture: all
Depends: qt5-phonon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
