## phonon 4.12.0+p24.04+vunstable+git20260123.0159

=== debian/changelog ===
phonon (4:4.12.0+p24.04+vunstable+git20260123.0159-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 01:59:14 +0000
